Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d.color
Class ColorSpaces

    java.lang.Object
      org.apache.xmlgraphics.java2d.color.ColorSpaces

    public final class ColorSpaces

extends Object

Provides access to various color spaces.

Method Summary
`static CIELabColorSpace` | `getCIELabColorSpaceD50()` Returns an instance of the CIE L*a*b* color space using the D50 white point.
`static CIELabColorSpace` | `getCIELabColorSpaceD65()` Returns an instance of the CIE L*a*b* color space using the D65 white point.
`static ColorSpaceOrigin` | `getColorSpaceOrigin(ColorSpace cs)` Returns information about the origin of a color space.
`static DeviceCMYKColorSpace` | `getDeviceCMYKColorSpace()` Returns an instance of the device-specific CMYK color space.
`static boolean` | `isDeviceColorSpace(ColorSpace cs)` Indicates whether the given color space is device-specific (i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDeviceCMYKColorSpace

    public static DeviceCMYKColorSpace getDeviceCMYKColorSpace()

  Returns an instance of the device-specific CMYK color space.

  Returns:
    an instance of the device-specific CMYK color space

### isDeviceColorSpace

    public static boolean isDeviceColorSpace(ColorSpace cs)

  Indicates whether the given color space is device-specific (i.e. uncalibrated).

  Parameters:
    `cs` - the color space to check
  Returns:
    true if the color space is device-specific

### getCIELabColorSpaceD50

    public static CIELabColorSpace getCIELabColorSpaceD50()

  Returns an instance of the CIE L*a*b* color space using the D50 white point.

  Returns:
    an instance of the requested CIE L*a*b* color space

### getCIELabColorSpaceD65

    public static CIELabColorSpace getCIELabColorSpaceD65()

  Returns an instance of the CIE L*a*b* color space using the D65 white point.

  Returns:
    an instance of the requested CIE L*a*b* color space

### getColorSpaceOrigin

    public static ColorSpaceOrigin getColorSpaceOrigin(ColorSpace cs)

  Returns information about the origin of a color space.

  Parameters:
    `cs` - the color space
  Returns:
    the origin information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.